Bug 516520 - Review Request: globus-data-conversion - Globus Toolkit - Data Conversion
Summary: Review Request: globus-data-conversion - Globus Toolkit - Data Conversion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516522
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:01 UTC by Mattias Ellert
Modified: 2009-11-03 01:59 UTC (History)
3 users (show)

Fixed In Version: 2.1-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:39:17 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:01:56 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-data-conversion.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-data-conversion-2.1-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-data-conversion package contains:
Data Conversion

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-10-14 20:28:08 UTC
Review of globus-data-conversion:

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1746665

MUST:

yes: 
$ rpmlint globus-data-conversion.spec ../SRPMS/globus-data-conversion-2.1-1.fc11.src.rpm ../RPMS/x86_64/globus-data-conversion-*
globus-data-conversion-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

which is fine.

yes: Package name - globus guidelines
yes: Spec File name - globus guidelines
yes: Packaging guidelines
yes: Apache 2.0
yes: .spec ASL 2.0
yes: GLOBUS_LICENSE included.
yes: american english.
yes: Upstream source matches.

$ diff -r --brief gt4.2.1-all-source-installer/source-trees/data_conversion/source ~/rpmbuild/SOURCES/globus_data_conversion-2.1
Only in /home/steve/rpmbuild/SOURCES/globus_data_conversion-2.1: GLOBUS_LICENSE

which is expected.

yes: builds as per koji build above.
yes: locales not present.
yes: Calls ldconfig appropriate
yes: No system libs included.
yes: not relocatable.
yes: All files and directories created in the package are owned.
yes: files not listed twice.
yes: defattr used everywhere.
yes: Buildroot is removed in %clean.
yes: consistant macros
yes: no large docs.
yes: docs not needed runtime.
yes: headers in -devel file.
yes: libs correctly in -devel package.
yes: main package is needed by devel package.
yes: no .la files present.
yes: no gui.
yes: does not own files belonging to other packages.
yes: buildroot removed in %install.
yes: utf8

APPROVED 

Steve

Comment 2 Mattias Ellert 2009-10-16 15:07:41 UTC
New Package CVS Request
=======================
Package Name: globus-data-conversion
Short Description: Globus Toolkit - Data Conversion
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 3 Kevin Fenzi 2009-10-17 20:43:13 UTC
cvs done.

Comment 4 Fedora Update System 2009-10-19 17:37:16 UTC
globus-data-conversion-2.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-data-conversion-2.1-1.fc12

Comment 5 Fedora Update System 2009-10-19 17:37:20 UTC
globus-data-conversion-2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-data-conversion-2.1-1.el5

Comment 6 Fedora Update System 2009-10-19 17:37:22 UTC
globus-data-conversion-2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-data-conversion-2.1-1.fc11

Comment 7 Fedora Update System 2009-10-19 17:37:26 UTC
globus-data-conversion-2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-data-conversion-2.1-1.el4

Comment 8 Fedora Update System 2009-10-21 00:39:13 UTC
globus-data-conversion-2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-11-03 01:58:58 UTC
globus-data-conversion-2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-11-03 01:59:18 UTC
globus-data-conversion-2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.